%%%----------------------------------------------------------------------
%%% File    : cron_app.erl
%%% Author  : ottuser local account <otpuser@tiger>
%%% Purpose : 
%%% Created : 20 Jun 2000 by ottuser local account <otpuser@tiger>
%%%----------------------------------------------------------------------

-module(cron_app).
-author('otpuser@tiger').

%%-compile(export_all).
%%-export([Function/Arity, ...]).
-vsn('$Id: cron_app.erl,v 1.1.1.1 2001/04/30 09:46:24 chandru Exp $ ').

-behaviour(application).

%% application callbacks
-export([start/2, stop/1]).

%%%----------------------------------------------------------------------
%%% Callback functions from application
%%%----------------------------------------------------------------------

%%----------------------------------------------------------------------
%% Func: start/2
%% Returns: {ok, Pid}        |
%%          {ok, Pid, State} |
%%          {error, Reason}   
%%----------------------------------------------------------------------
start(Type, StartArgs) ->
    case cron_sup:start_link() of
	{ok, Pid} -> 
	    {ok, Pid};
	Error ->
	    Error
    end.

%%----------------------------------------------------------------------
%% Func: stop/1
%% Returns: any 
%%----------------------------------------------------------------------
stop(State) ->
    ok.

%%%----------------------------------------------------------------------
%%% Internal functions
%%%----------------------------------------------------------------------
